WP5ContentListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP5ContentListener Class Reference

`#include <WP5ContentListener.h>`

Inheritance diagram for WP5ContentListener:

## Public Member Functions
| WP5ContentListener (std::list< WPXPageSpan > &pageList, std::vector< WP5SubDocument * > &subDocuments, librevenge::RVNGTextInterface *documentInterface)
| ~WP5ContentListener ()
void | startDocument ()
void | startSubDocument ()
void | setFont (const librevenge::RVNGString &fontName, double fontSize)
void | setTabs (const std::vector< WPXTabStop > &tabStops, unsigned short tabOffset)
void | insertCharacter (unsigned character)
void | insertTab (unsigned char tabType, double tabPosition)
void | insertIndent (unsigned char indentType, double indentPosition)
void | insertEOL ()
void | insertBreak (unsigned char breakType)
void | lineSpacingChange (double lineSpacing)
void | justificationChange (unsigned char justification)
void | characterColorChange (unsigned char red, unsigned char green, unsigned char blue)
void | attributeChange (bool isOn, unsigned char attribute)
void | pageMarginChange (unsigned char, unsigned short)
void | pageFormChange (unsigned short, unsigned short, WPXFormOrientation)
void | marginChange (unsigned char side, unsigned short margin)
void | paragraphMarginChange (unsigned char, signed short)
void | endDocument ()
void | endSubDocument ()
void | defineTable (unsigned char position, unsigned short leftOffset)
void | addTableColumnDefinition (unsigned width, unsigned leftGutter, unsigned rightGutter, unsigned attributes, unsigned char alignment)
void | startTable ()
void | insertRow (unsigned short rowHeight, bool isMinimumHeight, bool isHeaderRow)
void | insertCell (unsigned char colSpan, unsigned char rowSpan, unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, WPXVerticalAlignment cellVerticalAlignment, bool useCellAttributes, unsigned cellAttributes)
void | endTable ()
void | insertNoteReference (const librevenge::RVNGString &noteReference)
void | insertNote (WPXNoteType noteType, const WP5SubDocument *subDocument)
void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, WP5SubDocument *subDocument)
void | suppressPageCharacteristics (unsigned char)
void | setDefaultFont (const librevenge::RVNGString &fontName, double fontSize)
void | boxOn (unsigned char positionAndType, unsigned char alignment, unsigned short width, unsigned short height, unsigned short x, unsigned short y)
virtual void | boxOff ()
virtual void | insertGraphicsData (const librevenge::RVNGBinaryData *data)
Public Member Functions inherited from WP5Listener
| WP5Listener ()
virtual | ~WP5Listener ()
void | setPrefixData (WP5PrefixData *prefixData)
const WP5GeneralPacketData * | getGeneralPacketData (const int type) const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice=0)
void | _flushText ()
void | _changeList ()
Protected Member Functions inherited from WPXContentListener
| WPXContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
virtual | ~WPXContentListener ()
void | startDocument ()
void | startSubDocument ()
void | endDocument ()
void | endSubDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)
| Creates an new document state. More...
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const bool isListElement=false)
void | _getTabStops (librevenge::RVNGPropertyListVector &tabStops)
void | _appendJustification (librevenge::RVNGPropertyList &propList, int justification)
void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const double height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
double | _movePositionToFirstColumn (double position)
double | _getNextTabStop () const
double | _getPreviousTabStop () const
void | _insertText (const librevenge::RVNGString &textBuffer)
void | _insertBreakIfNecessary (librevenge::RVNGPropertyList &propList)
void | _insertPageNumberParagraph (WPXPageNumberPosition position, WPXNumberingType type, librevenge::RVNGString fontName, double fontSize)
unsigned | _mapNonUnicodeCharacter (unsigned character)
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP5ContentListener (const WP5ContentListener &)
WP5ContentListener & | operator= (const WP5ContentListener &)

## Private Attributes
WP5ContentParsingState * | m_parseState
std::vector< WP5SubDocument * > & | m_subDocuments
double | m_defaultFontSize
librevenge::RVNGString | m_defaultFontName

## Additional Inherited Members
Protected Attributes inherited from WPXContentListener
WPXContentParsingState * | m_ps
librevenge::RVNGTextInterface * | m_documentInterface
librevenge::RVNGPropertyList | m_metaData
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP5ContentListener::WP5ContentListener | ( | std::list< WPXPageSpan > & | pageList,
|  | std::vector< WP5SubDocument * > & | subDocuments,
|  | librevenge::RVNGTextInterface * | documentInterface
| ) |  |

WP5ContentListener::~WP5ContentListener | ( |  | ) |

WP5ContentListener::WP5ContentListener | ( | const WP5ContentListener & |  | ) |
| private

## Member Function Documentation

void WP5ContentListener::_changeList | ( |  | ) |
| inlineprotectedvirtual

Implements WPXContentListener.

Referenced by _handleSubDocument().

void WP5ContentListener::_flushText | ( |  | ) |
| protectedvirtual

Implements WPXContentListener.

Referenced by boxOn(), endTable(), insertCell(), insertIndent(), insertNote(), insertRow(), and insertTab().

void WP5ContentListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice = `0`
| ) |  |
| protectedvirtual

Implements WPXContentListener.

void WP5ContentListener::addTableColumnDefinition | ( | unsigned | width,
|  | unsigned | leftGutter,
|  | unsigned | rightGutter,
|  | unsigned | attributes,
|  | unsigned char | alignment
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::boxOff | ( |  | ) |
| virtual

Implements WP5Listener.

void WP5ContentListener::boxOn | ( | unsigned char | positionAndType,
|  | unsigned char | alignment,
|  | unsigned short | width,
|  | unsigned short | height,
|  | unsigned short | x,
|  | unsigned short | y
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::characterColorChange | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::defineTable | ( | unsigned char | position,
|  | unsigned short | leftOffset
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::endDocument | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5ContentListener::endSubDocument | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

Referenced by WP5Parser::parseSubDocument().

void WP5ContentListener::endTable | ( |  | ) |
| virtual

Implements WP5Listener.

void WP5ContentListener::headerFooterGroup | ( | unsigned char | headerFooterType,
|  | unsigned char | occurrenceBits,
|  | WP5SubDocument * | subDocument
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertBreak | ( | unsigned char | breakType | ) |
| inlinevirtual

Implements WP5Listener.

void WP5ContentListener::insertCell | ( | unsigned char | colSpan,
|  | unsigned char | rowSpan,
|  | unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | WPXVerticalAlignment | cellVerticalAlignment,
|  | bool | useCellAttributes,
|  | unsigned | cellAttributes
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertCharacter | ( | unsigned | character | ) |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertEOL | ( |  | ) |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertGraphicsData | ( | const librevenge::RVNGBinaryData * | data | ) |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertIndent | ( | unsigned char | indentType,
|  | double | indentPosition
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertNote | ( | WPXNoteType | noteType,
|  | const WP5SubDocument * | subDocument
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertNoteReference | ( | const librevenge::RVNGString & | noteReference | ) |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertRow | ( | unsigned short | rowHeight,
|  | bool | isMinimumHeight,
|  | bool | isHeaderRow
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::insertTab | ( | unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::justificationChange | ( | unsigned char | justification | ) |
| inlinevirtual

Implements WP5Listener.

Referenced by insertCell().

void WP5ContentListener::lineSpacingChange | ( | double | lineSpacing | ) |
| inlinevirtual

Implements WP5Listener.

void WP5ContentListener::marginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| virtual

Implements WP5Listener.

Referenced by _handleSubDocument().

WP5ContentListener& WP5ContentListener::operator= | ( | const WP5ContentListener & |  | ) |
| private

void WP5ContentListener::pageFormChange | ( | unsigned short | ,
|  | unsigned short | ,
|  | WPXFormOrientation |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5ContentListener::pageMarginChange | ( | unsigned char | ,
|  | unsigned short |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5ContentListener::paragraphMarginChange | ( | unsigned | char,
|  | signed | short
| ) |  |
| inline

void WP5ContentListener::setDefaultFont | ( | const librevenge::RVNGString & | fontName,
|  | double | fontSize
| ) |  |

Referenced by WP5Parser::parse().

void WP5ContentListener::setFont | ( | const librevenge::RVNGString & | fontName,
|  | double | fontSize
| ) |  |
| virtual

Implements WP5Listener.

Referenced by _handleSubDocument(), and WP5Parser::parse().

void WP5ContentListener::setTabs | ( | const std::vector< WPXTabStop > & | tabStops,
|  | unsigned short | tabOffset
| ) |  |
| virtual

Implements WP5Listener.

void WP5ContentListener::startDocument | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5ContentListener::startSubDocument | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

Referenced by WP5Parser::parseSubDocument().

void WP5ContentListener::startTable | ( |  | ) |
| virtual

Implements WP5Listener.

void WP5ContentListener::suppressPageCharacteristics | ( | unsigned char |  | ) |
| inlinevirtual

Implements WP5Listener.

## Member Data Documentation

librevenge::RVNGString WP5ContentListener::m_defaultFontName
| private

Referenced by _handleSubDocument(), and setDefaultFont().

double WP5ContentListener::m_defaultFontSize
| private

Referenced by _handleSubDocument(), and setDefaultFont().

WP5ContentParsingState* WP5ContentListener::m_parseState
| private

Referenced by _flushText(), _handleSubDocument(), boxOff(), boxOn(), insertCharacter(), insertGraphicsData(), insertNote(), insertNoteReference(), and ~WP5ContentListener().

std::vector<WP5SubDocument *>& WP5ContentListener::m_subDocuments
| private

Referenced by headerFooterGroup().

The documentation for this class was generated from the following files:

- WP5ContentListener.h
- WP5ContentListener.cpp